%global gittag 3.14
%global dpf DPF

%global commit1 9243625aacb9fb8dd9fe4bd479b227149eb37959
%global shortcommit1 %(c=%{commit1}; echo ${c:0:7})

Name:           zam-plugins
Version:        %{gittag}
Release:        %mkrel 1
Summary:        A collection of LV2/LADSPA/JACK audio plugins
License:        GPLv2+ and ISC
Group:          System/Libraries
URL:            http://www.zamaudio.com/
Source0:        https://github.com/zamaudio/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz
Source1:        https://github.com/DISTRHO/DPF/archive/%{commit1}/%{dpf}-%{shortcommit1}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ladspa-devel
BuildRequires:  pkgconfig(fftw3) >= 3.3.5
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(x11)
BuildRequires:  zita-convolver-devel >= 4.0.3

%package -n lv2-zam-plugins
Summary:        A collection of LV2/LADSPA/JACK audio plugins. LV2 version
Requires:       lv2 >= 1.8.1

%package -n ladspa-zam-plugins
Summary:        A collection of LV2/LADSPA/JACK audio plugins. LADSPA version
Requires:       ladspa

%description
zam-plugins is a collection of LV2/LADSPA/VST/JACK audio plugins
for sound processing developed in-house at ZamAudio.

%description -n lv2-zam-plugins
zam-plugins is a collection of LV2/LADSPA/VST/JACK audio plugins
for sound processing developed in-house at ZamAudio.
This is the LV2 version.

%description -n ladspa-zam-plugins
zam-plugins is a collection of LV2/LADSPA/VST/JACK audio plugins
for sound processing developed in-house at ZamAudio.
This is the LADSPA version.

%prep
%autosetup -a 1 -p 1
# Move submodule DPF to main source directory
rmdir dpf
mv %{dpf}-%{commit1} dpf

%build
# This package does not build on all arches with upstream build flags,
# so upstream build flags are split.
# These are realtime audio plugins, so we need the fastest possible math,
# flags for x86_64 are set to be compatible with most AMD and Intel CPUs,
# and to use the best possible SIMD instruction set.
flags=" -ffast-math"

%ifarch %{ix86}
flags+=" -msse -mfpmath=sse"
%endif

%ifarch x86_64
flags+=" -msse2 -mfpmath=sse"
%endif

%set_build_flags

%make_build PREFIX=%{_prefix} LIBDIR=%{_lib} USE_SYSTEM_LIBS=1 \
 BASE_OPTS="${flags}" LINK_OPTS="%{optflags}"

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_lib} USE_SYSTEM_LIBS=1
# We don't need VST and DSSI plugins
rm -rf %{buildroot}%{_libdir}/vst %{buildroot}/*-dssi*
cp -f %{_builddir}/zam-plugins-%{version}/dpf/LICENSE .

%files
%{_bindir}/*
%license NOTICE.DPF NOTICE.SFZero LICENSE
%doc README.md

%files -n lv2-zam-plugins
%{_libdir}/lv2/*
%license NOTICE.DPF NOTICE.SFZero LICENSE
%doc README.md

%files -n ladspa-zam-plugins
%{_libdir}/ladspa/*
%license NOTICE.DPF NOTICE.SFZero LICENSE
%doc README.md



%changelog
* Mon Dec 21 2020 barjac <barjac> 3.14-1.mga8
+ Revision: 1662574
- new version 3.14

* Mon Jul 20 2020 barjac <barjac> 3.13-1.mga8
+ Revision: 1607519
- new version 3.13

* Mon Mar 09 2020 barjac <barjac> 3.12-3.mga8
+ Revision: 1554997
- rebuild for zita-convolver

* Thu Feb 20 2020 umeabot <umeabot> 3.12-2.mga8
+ Revision: 1545761
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 barjac <barjac> 3.12-1.mga8
+ Revision: 1485231
- new version 3.12
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Tue Nov 12 2019 barjac <barjac> 3.11-1.mga8
+ Revision: 1459343
- new version 3.11
- dropped upstreamed patch
- adjusted files lists

* Fri Feb 08 2019 barjac <barjac> 3.10-1.mga7
+ Revision: 1364318
- Edit spec for Mageia
- import new package from Fedora


* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue May 15 2018 Guido Aulisi <guido.aulisi@gmail.com> - 3.10-3
- Escape macros in changelog

* Sun May 13 2018 Guido Aulisi <guido.aulisi@gmail.com> - 3.10-2
- Use set_build_flags macro
- Document Patch0

* Wed May 9 2018 Guido Aulisi <guido.aulisi@gmail.com> - 3.10-1
- Version 3.10
